Kerbal Space Program - Bug #2358

Inverted IVA lighting
04/06/2014 12:36 AM - Checkmate

Status: Closed Start date: 04/06/2014
Severity: Low % Done: 100%
Assignee:

Category: Camera

Target version:

Version: 0.23.5 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Inside craft light from the windows seems to move in the wrong way. This is best seen in Command Pod Mk1 and from mk1-2 side

windows.

As seen from screenshots in mk1-2 kerbals lit from right, while left side of the craft is lit by sun.
Report partially duplicates that one http:/bugs.kerbalspaceprogram.com/issues/1203 but in this particular case bug isn't caused by

changing axis and shows that pods are bugged themselves.

History

#1 - 04/11/2014 02:44 PM - Kasuha
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Apparently simulated sun setting light on the interior of the pod moves differently than "real" sun relative to the pod.

http://imgur.com/a/oTIpF

Notice bright spot on the pod wall moving as the sun sets. Not only it is on the opposite wall, but it also moves horizontally instead of vertically.

No change in pod orientation improves it - it is always wrong.

#2 - 07/27/2015 06:05 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#3 - 07/17/2016 09:36 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#4 - 08/09/2016 10:39 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here
